Bug 102406 - cvs compare broken
cvs compare broken
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: eclipse (Show other bugs)
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Tom Tromey
Depends On:
  Show dependency treegraph
Reported: 2003-08-14 16:20 EDT by Anthony Green
Modified: 2014-08-11 01:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-02 14:02:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2003-08-14 16:20:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
If you bring up a file in the cvs resource window _without_ first opening the
file, and then compare two versions, then Eclipse will complain and the compare
will fail (an error dialog followed by an empty view).

I found that it sometimes works when you open the file first.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Connect to a cvs server, and bring up a file's resource history
2.Select two versions of the file
3.Right mouse click to compare them.

Expected Results:  A nice visual diff.

Additional info:
Comment 1 Tom Tromey 2003-08-22 14:36:46 EDT
This might be related to this eclipse PR:


This was closed in 2.1.1.
I'll investigate importing 2.1.1 before RC.
Comment 2 Tom Tromey 2003-08-29 17:30:42 EDT
I was able to reproduce this with a gcj-compiled 2.1.1.
So upgrading won't help.
Comment 3 Tom Tromey 2003-09-02 14:02:12 EDT
I've checked in a fix for this.

Note You need to log in before you can comment on or make changes to this bug.